<app-template-page [titre]="'Ajout d\'un nouveau client'">
  <ngb-toast
    header="Ajout de client"
    class="bg-success"
    [delay]="3000"
    *ngIf="success"
    (hidden)="goBackToList()"
  >
    Ajout du nouveau client {{formulaire.value.firstname}} {{formulaire.value.lastname}} réussi
  </ngb-toast>

  <ngb-toast
    header="Ajout de client"
    class="bg-danger"
    [delay]="3000"
    *ngIf="failure"
    (hidden)="failure = false"
  >
    Echec de l'ajout
  </ngb-toast>

  <form [formGroup]="formulaire">
    <fieldset class="fieldset m-5" [disabled]="failure || success">
      <legend>Formulaire de client</legend>
      <div class="form-control m-2 border border-primary">
        <label>
          Nom :
          <input
            formControlName="lastname"
            type="text"
            minlength="2"
            maxlength="100"
            pattern="[A-ZÉ ]{2,100}" oninput="this.value = this.value.toUpperCase()"
          />
        </label>
        <p
          class="text-secondary"
          *ngIf="formulaire.controls['lastname'].invalid"
        >
          Le nom est requis en majuscule, il doit contenir au moins 2 caractères et moins de 100 caractères.
        </p>
      </div>
      <div class="form-control m-2 border border-primary">
        <label>
          Prénom :
          <input
            formControlName="firstname"
            type="text"
            minlength="2"
            maxlength="100"
            pattern="[a-zA-ZäâéëçÉ ]{2,100}"
          />
        </label>
        <p
          class="text-secondary"
          *ngIf="formulaire.controls['firstname'].invalid"
        >
          Le prénom est requis, il doit contenir au moins 2 caractères et moins de 100 caractères.
        </p>
      </div>
      <div class="form-control m-2 border border-primary">
        <label>
          Entreprise :
          <input
            formControlName="company"
            type="text"
            minlength="2"
            maxlength="200"
          />
        </label>
        <p
          class="text-secondary"
          *ngIf="formulaire.controls['company'].invalid"
        >
          Le nom de l'entreprise est requis, il doit contenir au moins 2 caractères et moins de 200 caractères.
        </p>
      </div>
      <div class="form-control m-2 border border-primary">
        <label>
          Courriel :
          <input
            formControlName="mail"
            type="email"
            minlength="6"
            maxlength="255"
            pattern="[a-z0-9._%+-]+@[a-z0-9-]+.([a-z]{2,4})"
          />
        </label>
        <p class="text-secondary" *ngIf="formulaire.controls['mail'].invalid">
          Le courriel est requis. Merci de saisir un courriel de type
          exemple@exemple.fr
        </p>
      </div>
      <div class="form-control m-2 border border-primary">
        <label>
          Téléphone :
          <input
            formControlName="phone"
            type="tel"
            minlength="10"
            maxlength="10"
            pattern="(0)[1-9][0-9]{8}"
          />
        </label>
        <p class="text-secondary" *ngIf="formulaire.controls['phone'].invalid">
          Le numéro de téléphone est requis, il doit contenir au moins 10
          chiffres et commencer par 0
        </p>
      </div>
      <div class="form-control m-2 border border-primary">
        <label>
          Portable :
          <input
            formControlName="mobile"
            type="tel"
            minlength="10"
            maxlength="10"
            pattern="^(0)[6-7][0-9]{8}$"
          />
          <p
            class="text-secondary"
            *ngIf="formulaire.controls['mobile'].invalid">Le numéro de portable est requis, il doit contenir au moins 10
            chiffres et commencer par 06 ou 07
          </p>
        </label>
      </div>
      <div class="form-control m-2 border border-primary">
        <label class="form-check-inline">Statut : </label>
        <div class="form-check form-check-inline">
          <input
            formControlName="active"
            class="form-check-input"
            type="radio"
            id="inlineRadio1"
            value="true"
          />
          <label class="form-check-label" for="inlineRadio1"
            >Actif</label
          >
        </div>
        <div class="form-check form-check-inline">
          <input
            formControlName="active"
            class="form-check-input"
            type="radio"
            id="inlineRadio2"
            value="false"
          />
          <label class="form-check-label" for="inlineRadio2"
            >Inactif</label>
        </div>
        <p class="text-secondary"> Merci de sélectionner le statut du client</p>
      </div>
      <div class="form-control m-2 border border-primary">
        <label for="NoteCustomer"></label>
        Notes :
        <textarea
          id="NoteCustomer"
          class="form-control"
          formControlName="notes"
          type="text"
          maxlength="255"
          rows="3"
        ></textarea>
      </div>
    </fieldset>
    <button
      class="btn btn-primary m-2"
      [disabled]="setDisable" (click)="ajouter()"
      [disabled]="formulaire.invalid"
    >
      Ajouter
    </button>
    <button class="btn btn-secondary">
      <a (click)=" goBackToList()">Retour</a>
    </button>
</form>
</app-template-page>
